POST api/Zapier/InsertServiceRequestsGeneralNew

Insert service request general new.

Request Information

URI Parameters

None.

Body Parameters

ServiceRequestsGeneralNewModel
NameDescriptionTypeAdditional information
subject

string

None.

NeedToDo

string

None.

BusinessType

string

None.

EffectiveDate

date

None.

due_date

string

None.

description

string

None.

status

string

None.

insured_id

globally unique identifier

None.

insured_name

string

None.

insured_email

string

None.

insured_phone

string

None.

policy_number

string

None.

stage

string

None.

custom_type

string

None.

request_database_id

globally unique identifier

None.

policy_database_id

Collection of globally unique identifier

None.

agent_database_id

Collection of globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "subject": "sample string 1",
  "needToDo": "sample string 2",
  "businessType": "sample string 3",
  "effectiveDate": "2026-10-31T23:59:38.825562-05:00",
  "due_date": "sample string 4",
  "description": "sample string 5",
  "status": "sample string 6",
  "insured_id": "44469e54-3b0b-4171-9b9b-0ccc9cd97a8a",
  "insured_name": "sample string 7",
  "insured_email": "sample string 8",
  "insured_phone": "sample string 9",
  "policy_number": "sample string 10",
  "stage": "sample string 11",
  "custom_type": "sample string 12",
  "request_database_id": "10b09df6-652d-417f-9b7e-0e09e24e32d4",
  "policy_database_id": [
    "1155630a-ab8f-4450-b51f-7f2e1169b963",
    "5e7fb327-0f3e-4776-971a-d42e0a4402e1"
  ],
  "agent_database_id": [
    "af4e910e-deca-42ea-ad30-0ff0f78ef6ab",
    "52da81c7-042e-4356-8cae-95f0a3ba37ff"
  ]
}

application/xml, text/xml

Sample:
<ServiceRequestsGeneralNewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
  <AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>af4e910e-deca-42ea-ad30-0ff0f78ef6ab</d2p1:guid>
    <d2p1:guid>52da81c7-042e-4356-8cae-95f0a3ba37ff</d2p1:guid>
  </AgentDatabaseId>
  <CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 12</CustomType>
  <Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</Description>
  <InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</InsuredEmail>
  <InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">44469e54-3b0b-4171-9b9b-0ccc9cd97a8a</InsuredId>
  <InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredName>
  <InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</InsuredPhone>
  <PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>1155630a-ab8f-4450-b51f-7f2e1169b963</d2p1:guid>
    <d2p1:guid>5e7fb327-0f3e-4776-971a-d42e0a4402e1</d2p1:guid>
  </PolicyDatabaseId>
  <PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</PolicyNumber>
  <RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">10b09df6-652d-417f-9b7e-0e09e24e32d4</RequestDatabaseId>
  <Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 11</Stage>
  <Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</Status>
  <BusinessType>sample string 3</BusinessType>
  <DueDate>sample string 4</DueDate>
  <EffectiveDate>2026-10-31T23:59:38.825562-05:00</EffectiveDate>
  <NeedToDo>sample string 2</NeedToDo>
  <Subject>sample string 1</Subject>
</ServiceRequestsGeneralNewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResultWithDatabaseId
NameDescriptionTypeAdditional information
DatabaseId

globally unique identifier

None.

Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "databaseId": "f73cefd6-bc5d-488a-8089-d096428af805",
  "status": 0,
  "message": "sample string 2"
}

application/xml, text/xml

Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 2</Message>
  <Status>Error</Status>
  <DatabaseId>f73cefd6-bc5d-488a-8089-d096428af805</DatabaseId>
</NowCertsApiResultWithDatabaseId>